summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xci/02-maasdeploy.sh9
-rw-r--r--labconfig/cengn/pod1/labconfig.yaml95
2 files changed, 104 insertions, 0 deletions
diff --git a/ci/02-maasdeploy.sh b/ci/02-maasdeploy.sh
index 839d29f4..31b3346b 100755
--- a/ci/02-maasdeploy.sh
+++ b/ci/02-maasdeploy.sh
@@ -77,6 +77,11 @@ else
'cengnlynxpod1' )
cp maas/cengn_lynx/pod1/deployment.yaml ./deployment.yaml
;;
+ 'cengnpod1' )
+ cp ../labconfig/cengn/pod1/labconfig.yaml ./
+ #to be removed later once converted for all labs.
+ python deploy.py
+ ;;
* )
virtinstall=1
labname="default"
@@ -284,6 +289,10 @@ case "$labname" in
enableautomode eth1.1201 AUTO "172.16.121.3/24" compute || true
enableautomode eth1.1201 AUTO "172.16.121.3/24" control || true
;;
+ 'cengnpod1' )
+ maas refresh
+ enableautomode eth2 AUTO "172.16.20.0/24" || true
+ ;;
esac
echo " .... MAAS deployment finished successfully ...."
diff --git a/labconfig/cengn/pod1/labconfig.yaml b/labconfig/cengn/pod1/labconfig.yaml
new file mode 100644
index 00000000..781b93c0
--- /dev/null
+++ b/labconfig/cengn/pod1/labconfig.yaml
@@ -0,0 +1,95 @@
+lab:
+ location: cengn
+ racks:
+ - rack: pod1
+ nodes:
+ - name: rack-1-m1
+ architecture: x86_64
+ roles: [network,control]
+ nics:
+ - ifname: eth0
+ spaces: [admin]
+ mac: ["00:a0:a5:90:89:a8"]
+ power:
+ type: ipmi
+ address: 10.21.5.12
+ user: admin
+ pass: admin
+ - name: rack-1-m2
+ architecture: x86_64
+ roles: [compute,control,storage]
+ nics:
+ - ifname: eth0
+ spaces: [admin]
+ mac: ["00:a0:a5:90:89:28"]
+ power:
+ type: ipmi
+ address: 10.21.5.13
+ user: admin
+ pass: admin
+ - name: rack-1-m3
+ architecture: x86_64
+ roles: [compute,control,storage]
+ nics:
+ - ifname: eth0
+ spaces: [admin]
+ mac: ["00:a0:a5:89:30:c6"]
+ power:
+ type: ipmi
+ address: 10.21.5.14
+ user: admin
+ pass: admin
+ - name: rack-1-m4
+ architecture: x86_64
+ roles: [compute,storage]
+ nics:
+ - ifname: eth0
+ spaces: [admin]
+ mac: ["00:a0:a5:90:89:94"]
+ power:
+ type: ipmi
+ address: 10.21.5.15
+ user: admin
+ pass: admin
+ - name: rack-1-m5
+ architecture: x86_64
+ roles: [compute,storage]
+ nics:
+ - ifname: eth0
+ spaces: [admin]
+ mac: ["00:a0:a5:90:89:0e"]
+ power:
+ type: ipmi
+ address: 10.21.5.16
+ user: admin
+ pass: admin
+ floating-ip-range: 10.21.6.6,10.21.6.250,10.21.6.254,10.21.6.0/24
+ ext-port: "eth1"
+ dns: 8.8.8.8
+opnfv:
+ release: c
+ distro: trusty
+ type: nonha
+ openstack: mitaka
+ sdncontroller:
+ - type: nosdn
+ storage:
+ - type: ceph
+ disk: /srv
+ feature: odl_l2
+ spaces:
+ - type: admin
+ bridge: brAdm
+ cidr: 10.21.0.0/24
+ gateway: 10.21.0.254
+ vlan:
+ - type: public
+ bridge: brPublic
+ cidr: 10.21.6.0/24
+ gateway:
+ vlan:
+ - type: data
+ bridge: brData
+ cidr: 172.16.20.0/24
+ gateway:
+ vlan: